# wcsstr

From cppreference.com
< c‎ | string‎ | wide

Defined in header `<wchar.h>` |  |
wchar_t* wcsstr( const wchar_t* dest, const wchar_t* src ); |  | (since C95)

Finds the first occurrence of the wide string `src` in the wide string pointed to by `dest`. The terminating null characters are not compared.

### Parameters

dest | - | pointer to the null-terminated wide string to examine
src | - | pointer to the null-terminated wide string to search for

### Return value

Pointer to the first character of the found substring in `dest`, or NULL if no such substring is found. If `src` points to an empty string, `dest` is returned.

### Example

| This section is incomplete Reason: no example

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.29.4.5.6 The wcsstr function (p: 437)

- C99 standard (ISO/IEC 9899:1999):

  - 7.24.4.5.6 The wcsstr function (p: 383)

### See also

wcschr (C95) | finds the first occurrence of a wide character in a wide string (function)
wcsrchr (C95) | finds the last occurrence of a wide character in a wide string (function)
C++ documentation for wcsstr

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/string/wide/wcsstr&oldid=76880"
Category:

- Todo no example